<?php



class TblblogentrylikeMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogentrylikeMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogentrylikePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogentrylikePeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogentrylike');
		$tMap->setClassname('Tblblogentrylike');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('EL_ENTRY', 'ElEntry', 'INTEGER', true, null);

		$tMap->addPrimaryKey('EL_USER', 'ElUser', 'INTEGER', true, null);

		$tMap->addColumn('EL_DATE', 'ElDate', 'TIMESTAMP', false, null);

	} 
} 